/*
 * JORAM: Java(TM) Open Reliable Asynchronous Messaging
 * Copyright (C) 2001 - 2012 ScalAgent Distributed Technologies
 * Copyright (C) 1996 - 2000 Dyade
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA.
 *
 * Initial developer(s): Frederic Maistre (INRIA)
 * Contributor(s): ScalAgent Distributed Technologies
 */


import java.util.Properties;

import javax.jms.*;
import javax.naming.*;

/**
 * Consomme les messages de la queue ou du topic en utilisant JMS 2.0
 */
public class SynchronousConsumer {
  static Context ictx = null; 

  public static void main(String[] args) throws Exception {
		Properties props = System.getProperties();
		props.put("java.naming.factory.initial","fr.dyade.aaa.jndi2.client.NamingContextFactory");
		props.put("java.naming.factory.host", "localhost");
		props.put("java.naming.factory.port", 16400);
		/**
		 * Consomme les messages de la queue ou du topic en utilisant JMS 2.0
		 */
		String nomFile = "queue";
		System.out.println("Ecoute " + nomFile);

    ictx = new InitialContext();
    Destination dest = (Destination) ictx.lookup(nomFile);
    ConnectionFactory cf = (ConnectionFactory) ictx.lookup("cf");
    ictx.close();

    JMSContext context = cf.createContext();
    JMSConsumer recv = context.createConsumer(dest);
    String leMessage = null;
    for (int i = 1; i < 10; i++) {leMessage=recv.receiveBody(String.class);
   System.out.println("Message reu :" + leMessage);}

  }
}
